summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2011-03-17 11:57:40 +0000
committerRichard W.M. Jones <rjones@redhat.com>2011-03-17 11:57:40 +0000
commitcbd8da6d4dd2e4cbc3b87fbc7cb7d6129eb69172 (patch)
treed3fc23bd8a35f6041466c3d5bc7c9f803e023473
parenteb6119da38ed98f9fe902401614c2d14ed20bb2e (diff)
downloadlibguestfs-cbd8da6d4dd2e4cbc3b87fbc7cb7d6129eb69172.tar.gz
libguestfs-cbd8da6d4dd2e4cbc3b87fbc7cb7d6129eb69172.tar.xz
libguestfs-cbd8da6d4dd2e4cbc3b87fbc7cb7d6129eb69172.zip
regressions: Split the test rhbz576879.sh into two halves.
We suspect that there are in fact two separate bugs. In any case it makes sense for the two tests to be done separately. Note that these tests still fail.
-rw-r--r--regressions/Makefile.am3
-rwxr-xr-xregressions/rhbz576879c0.sh (renamed from regressions/rhbz576879.sh)21
-rwxr-xr-xregressions/rhbz576879c5.sh32
3 files changed, 36 insertions, 20 deletions
diff --git a/regressions/Makefile.am b/regressions/Makefile.am
index 844bdfe1..42a646ce 100644
--- a/regressions/Makefile.am
+++ b/regressions/Makefile.am
@@ -57,7 +57,8 @@ SKIPPED_TESTS = \
test-bootbootboot.sh
FAILING_TESTS = \
- rhbz576879.sh \
+ rhbz576879c0.sh \
+ rhbz576879c5.sh \
test-qemudie-launchfail.sh
random_val := $(shell awk 'BEGIN{srand(); print 1+int(255*rand())}' < /dev/null)
diff --git a/regressions/rhbz576879.sh b/regressions/rhbz576879c0.sh
index c9d74450..d3db55bc 100755
--- a/regressions/rhbz576879.sh
+++ b/regressions/rhbz576879c0.sh
@@ -1,6 +1,6 @@
#!/bin/bash -
# libguestfs
-# Copyright (C) 2010 Red Hat Inc.
+# Copyright (C) 2010-2011 Red Hat Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -17,34 +17,17 @@
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# Regression test for:
-# https://bugzilla.redhat.com/show_bug.cgi?id=576879
+# https://bugzilla.redhat.com/show_bug.cgi?id=576879#c0
# upload loses synchronization if the disk is not mounted
set -e
rm -f test1.img
-# Somewhere after 1.7, the first test started to hang.
-#
-# Somewhere between ~ 1.5.23 and ~ 1.5.24 the second test started
-# to hang.
-#
-# We don't understand why. I have disabled this test and reopened
-# the upstream bug.
-# -- RWMJ 2010-12-06
-
../fish/guestfish -N disk <<EOF
-upload $srcdir/rhbz576879.sh /test.sh
# Shouldn't lose synchronization, so next command should work:
ping-daemon
EOF
-# Second patch tests the problem found in comment 5 where both ends
-# send cancel messages simultaneously.
-
-../fish/guestfish -N disk <<EOF
--tar-in /tmp/nosuchfile /blah
-ping-daemon
-EOF
-
rm -f test1.img \ No newline at end of file
diff --git a/regressions/rhbz576879c5.sh b/regressions/rhbz576879c5.sh
new file mode 100755
index 00000000..817e0987
--- /dev/null
+++ b/regressions/rhbz576879c5.sh
@@ -0,0 +1,32 @@
+#!/bin/bash -
+# libguestfs
+# Copyright (C) 2010-2011 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+# Regression test for:
+# https://bugzilla.redhat.com/show_bug.cgi?id=576879#c5
+# where both ends send cancel messages simultaneously.
+
+set -e
+
+rm -f test1.img
+
+../fish/guestfish -N disk <<EOF
+-tar-in /tmp/nosuchfile /blah
+ping-daemon
+EOF
+
+rm -f test1.img